Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.latex
Class CaptionConverter

    java.lang.Object
      writer2latex.latex.ConverterHelper
          writer2latex.latex.CaptionConverter

    public class CaptionConverter

extends ConverterHelper

This class converts captions (for figures and tables) to LaTeX.

Packages:

- caption.sty is used implement non-floating captions

Options:

- use_caption is a boolean option to determine whether or not to use caption.sty. If this option is set to false, a simple definition of \captionof (borrowed from capt-of.sty) is inserted in the preamble

TODO: Implement formatting of captions using the features of caption.sty (only if formatting>=CONVERT_BASIC)

Field Summary
`private boolean` | `bNeedCaptionOf`
`private org.w3c.dom.Element` | `seqField`

Fields inherited from class writer2latex.latex.ConverterHelper
`config, ofr, palette`

Constructor Summary
`CaptionConverter(OfficeReader ofr, Config config, ConverterPalette palette)`

Method Summary
`void` | `appendDeclarations(LaTeXDocumentPortion pack, LaTeXDocumentPortion decl)`
`void` | `handleCaptionBody(org.w3c.dom.Element node, LaTeXDocumentPortion ldp, Context oc, boolean bIsCaptionOf)` Process content of a text:p tag as a caption body (inluding label)
`private int` | `removeCaptionLabel(org.w3c.dom.Element node, int nStep)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bNeedCaptionOf

    private boolean bNeedCaptionOf

### seqField

    private org.w3c.dom.Element seqField

Constructor Detail

### CaptionConverter

    public CaptionConverter(OfficeReader ofr,
                            Config config,
                            ConverterPalette palette)

Method Detail

### appendDeclarations

    public void appendDeclarations(LaTeXDocumentPortion pack,
                                   LaTeXDocumentPortion decl)

  Overrides:
    `appendDeclarations` in class `ConverterHelper`

### handleCaptionBody

    public void handleCaptionBody(org.w3c.dom.Element node,
                                  LaTeXDocumentPortion ldp,
                                  Context oc,
                                  boolean bIsCaptionOf)

  Process content of a text:p tag as a caption body (inluding label)

  Parameters:
    ``node`` - The text:p element node containing the caption
    ``ldp`` - The `LaTeXDocumentPortion` to add LaTeX code to
    ``oc`` - The current context
    ``bIsCaptionOf`` - true if this is caption uses captionof

### removeCaptionLabel

    private int removeCaptionLabel(org.w3c.dom.Element node,
                                   int nStep)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD